Subject: Re: [MEDIACTRL] Does a Control Package name include the version number

From: Chris Boulton <[email-masked]>
Date: Thu, 05 Aug 2010 13:33:53 +0100

I am getting the consensus that version should be removed from section 
8.1.  Package names are still free to include version numbers at there 
discretion.  Objections speak up or the change will be made.  We will 
need to check IF this has impact on the packages and how they are now 
versioned.

Chris.

On 20/07/2010 06:36, Lorenzo Miniero wrote:
> Backwards compatiility is a nice fairy tale, but there are cases when a versioning may actually work (e.g., if a 1.1 only has additions to a 1.0 and no modification). Is it ok if we just say that the /mumble.foo may or may not appear, but if it doesn't it implies 1.0? This looks safer to me.
>
> L.
>
>
> On Mon, 19 Jul 2010 17:18:11 -0400
> Eric Burger<[email-masked]>  wrote:
>
>    
>> I say (as an individual) "Nay, nay": Packages do whatever they want.  Backwards compatibility is a nice fairy tale, but not anything we really care about.  I offer packages are arbitrary, opaque names. If they *happen* to end with /1.0 or /9.2993, great.  However, I would offer the protocol should not care or impose any semantics about what the /mumble.foo means.
>>
>> On Jul 7, 2010, at 3:47 PM, Chris Boulton wrote:
>>
>>      
>>> Hi All,
>>>
>>> As part of our IESG review the following has been identified:
>>>
>>> Section 8.1
>>> states:
>>> The package name MUST also register a
>>> version number for the package which is separated with a '/' symbol
>>> e.g. package_name/1.0.
>>> This could be taken to mean that (1) "package_name/1.0" is the complete
>>> package name or (2) "package_name" is the mere package name and "1.0" is
>>> the package version number. The ABNF appears to imply (1) because it says:
>>>
>>> Packages = "Packages:" SP package-name *(COMMA package-name)
>>> package-name = alpha-num-token
>>> alpha-num-token = ALPHANUM 3*31alpha-num-tokent-char
>>> alpha-num-tokent-char = ALPHANUM / "." / "-" / "+" / "%" / "=" / "/"
>>>
>>> This appears to allow "/" in the "mere package name". If so, how will
>>> software parse the complete package name to determine the package
>>> version number? Will it parse the complete package name from the end and
>>> split the name at the first "/" character it finds? Can the version
>>> number include a "/" character? The ABNF does not appear to disallow that.
>>>
>>>
>>> What do we want to do with version?  I would suggest that we soften the MUST requirement.
>>>
>>> Chris.
>>>
>>>
>>> -- 
>>> Chris Boulton
>>> CTO&  Co-founder
>>> NS-Technologies
>>> m: +44.7876.476681
>>> _______________________________________________
>>> MEDIACTRL mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/mediactrl
>>> Supplemental Web Site:
>>> http://www.standardstrack.com/ietf/mediactrl
>>>        
>> _______________________________________________
>> MEDIACTRL mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/mediactrl
>> Supplemental Web Site:
>> http://www.standardstrack.com/ietf/mediactrl
>>
>>      
>
>    

-- 
Chris Boulton
CTO & Co-founder
NS-Technologies <http://www.ns-technologies.com>
m: +44.7876.476681